com.io7m.smfj.processing.main

## Class SMFMemoryMeshFilterAttributeRename

- java.lang.Object
- - com.io7m.smfj.processing.main.SMFMemoryMeshFilterAttributeRename

- All Implemented Interfaces:
    SMFMemoryMeshFilterType

      public final class SMFMemoryMeshFilterAttributeRename
      extends Object
      implements SMFMemoryMeshFilterType

  A filter that renames a mesh attribute.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `NAME` The command name.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SMFMemoryMeshFilterType` | `create(SMFAttributeName in_source, SMFAttributeName in_target)` Create a new filter.
    `javaslang.control.Validation<javaslang.collection.List<SMFProcessingError>,SMFMemoryMesh>` | `filter(SMFFilterCommandContext context, SMFMemoryMesh m)` Evaluate the filter on the given mesh.
    `String` | `name()`
    `static javaslang.control.Validation<javaslang.collection.List<SMFParseError>,SMFMemoryMeshFilterType>` | `parse(Optional<URI> file, int line, javaslang.collection.List<String> text)` Attempt to parse a command.
    `String` | `syntax()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAME

          public static final String NAME

      The command name.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### parse

          public static javaslang.control.Validation<javaslang.collection.List<SMFParseError>,SMFMemoryMeshFilterType> parse(Optional<URI> file,
                                                                                                                             int line,
                                                                                                                             javaslang.collection.List<String> text)

      Attempt to parse a command.
      Parameters:
        `file` - The file, if any
        `line` - The line
        `text` - The text
      Returns:
        A parsed command or a list of parse errors

    - #### create

          public static SMFMemoryMeshFilterType create(SMFAttributeName in_source,
                                                       SMFAttributeName in_target)

      Create a new filter.
      Parameters:
        `in_source` - The source attribute name
        `in_target` - The target attribute name
      Returns:
        A new filter

    - #### name

          public String name()

      Specified by:
        `name` in interface `SMFMemoryMeshFilterType`
      Returns:
        The name of the filter

    - #### syntax

          public String syntax()

      Specified by:
        `syntax` in interface `SMFMemoryMeshFilterType`
      Returns:
        The syntax of the filter

    - #### filter

          public javaslang.control.Validation<javaslang.collection.List<SMFProcessingError>,SMFMemoryMesh> filter(SMFFilterCommandContext context,
                                                                                                                  SMFMemoryMesh m)

      Description copied from interface: `SMFMemoryMeshFilterType`
      Evaluate the filter on the given mesh.
      Specified by:
        `filter` in interface `SMFMemoryMeshFilterType`
      Parameters:
        `context` - The filtering context
        `m` - A mesh
      Returns:
        A filtered mesh, or a list or reasons why the filtering did not work

Copyright © 2017 <code@io7m.com> http://io7m.com